tigase.jaxmpp.core.client.criteria.tpath

## Class TPathExpression

- java.lang.Object
- - tigase.jaxmpp.core.client.criteria.tpath.TPathExpression

-     public class TPathExpression
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `evaluate(Element element)`
    `List<Object>` | `evaluateAsArray(Element element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### evaluate

          public Object evaluate(Element element)
                          throws XMLException

      Throws:
        `XMLException`

    - #### evaluateAsArray

          public List<Object> evaluateAsArray(Element element)
                                       throws XMLException

      Throws:
        `XMLException`

Copyright © 2006–2020 Tigase. All rights reserved.